FROM php:8.1-cli

ENV APT_PHP_DEPS \
    unzip

RUN apt-get update \
     && apt-get install -y $APT_PHP_DEPS --no-install-recommends;

WORKDIR /var/www/app/

RUN curl -sS https://getcomposer.org/installer | php -- --version=2.2.5 --install-dir=/usr/local/bin --filename=composer \
&& composer --version

COPY ./ /var/www/app

RUN set -eux; \
	composer install --prefer-dist --no-scripts --no-progress; \
	composer clear-cache; \
	composer dump-autoload --classmap-authoritative;

CMD [ "php" , "bin/console" , "app:chart:draw-cli"]
